aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEd Maste <emaste@FreeBSD.org>2023-03-02 23:54:52 +0000
committerEd Maste <emaste@FreeBSD.org>2023-03-02 23:58:58 +0000
commite27ded83c76a609687a3d9e82b80fe7e1b782bf6 (patch)
treec7282a85183db734d303da43ba5b8d3eb3017777
parent3518a5bbd9bb0c03b38dea62e577042b779c3aed (diff)
downloadsrc-e27ded83c76a609687a3d9e82b80fe7e1b782bf6.tar.gz
src-e27ded83c76a609687a3d9e82b80fe7e1b782bf6.zip
freebsd-update: use grep -E instead of egrep
GNU egrep emits a warning that it is obsolescent and suggests grep -E instead. Switch to grep -E in case we end up invoking GNU (e)grep (and for consistency with other invocations in this file). Reported by: Steffen Nurpmeso Sponsored by: The FreeBSD Foundation
-rw-r--r--usr.sbin/freebsd-update/freebsd-update.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/usr.sbin/freebsd-update/freebsd-update.sh b/usr.sbin/freebsd-update/freebsd-update.sh
index 225d1e31e3ec..4ef44d1ad000 100644
--- a/usr.sbin/freebsd-update/freebsd-update.sh
+++ b/usr.sbin/freebsd-update/freebsd-update.sh
@@ -2547,7 +2547,7 @@ manually...
read dummy </dev/tty
${EDITOR} `pwd`/merge/new/${F} < /dev/tty
- if ! egrep -q '^(<<<<<<<|=======|>>>>>>>)([[:space:]].*)?$' $(pwd)/merge/new/${F} ; then
+ if ! grep -qE '^(<<<<<<<|=======|>>>>>>>)([[:space:]].*)?$' $(pwd)/merge/new/${F} ; then
break
fi
cat <<-EOF